Skip to content
04 - 03 - 2009 / Gómez Hyuuga

Frostwire, el Limewire para Linux.

frostwire

Frostwire es un programa P2P muy parecido o se podría decir que es un clon del Limewire. otro programa P2P con el cual podrás descargar música, videos, imágenes o cualquier otro tipo de ficheros compartidos por la red.

Aquí una captura.

Frostwire en funcionamiento.

Frostwire en funcionamiento.

Para su instalación, descargaremos el rpm desde la página oficial y después damos doble clic en él y lo instalamos con PackageKit.

O también podemos instalarlo por medio de la terminal con el siguiente comando.

su -c 'rpm -ivh http://newyork1.frostwire.com/frostwire/4.18.3/frostwire-4.18.3.noarch.rpm'

Una vez instalado podremos acceder a él desde el Kickoff (el menú principal de KDE) Aplicaciones->Internet->Más Aplicaciones->P2P Gnutella/Bittorrent client.

Si al abrirlo no inicia, probar a hacerlo con la terminal escribiendo el comando frostwire y si sale este error porque no abre:

blablabla.....
Error: Could not open jar file: httpcore-4.0-beta2.jar
Error: Could not open jar file: looks.jar
Error: Could not open jar file: icu4j.jar
Traceback (most recent call last):
  File "/usr/lib/frostwire/unpack200.py", line 58, in
    makeHashes()
  File "/usr/lib/frostwire/unpack200.py", line 17, in makeHashes
    output = file('hashes','w')
IOError: [Errno 13] Permission denied: 'hashes'
HOSTNAME IS Ulquiorra
Starting FrostWire...
Java exec found in PATH. Verifying...
Suitable java version found [java = 1.6.0_0]
Configuring environment...
Loading FrostWire:
CLASSPATH SET TO:
Unable to access jarfile FrostWire.jar
******************************************************************
Something went wrong with FrostWire.
Maybe you're using the wrong version of Java?
(FrostWire is tested against and works best with with Sun's JRE, Java 1.4+)
The version of Java in your PATH is:
java version "1.6.0_0"
IcedTea6 1.4 (fedora-9.b14.fc10-i386) Runtime Environment (build 1.6.0_0-b14)
OpenJDK Server VM (build 14.0-b08, mixed mode)

Para solucionar esto y poder abrir Frostwire tranquilamente, ponemos lo siguiente en la terminal:

su -c 'chmod 777 /usr/lib/frostwire/'

Listo! vuelve a abrirlo y verás como ahora si se ejecuta.

Anuncios

12 comentarios

Dejar un comentario
  1. Saul Romero / Mar 25 2009 12:18 AM

    Ok , funciona, pero no existe alguna solucion que no le de todos lospermisos a todo el mundo? … Tal vez algo como un usuario correcto, un grupo …

    Saludos

  2. Gómez Hyuuga / Mar 25 2009 7:14 AM

    @Saul Romero: Estuve intentando dar permisos completos a la carpeta en donde se encuentra java pero no pude :(.

    Saludos!

  3. martin / Abr 5 2009 9:39 PM

    no se porque escribis sin saber, limewire es multiplataforma.. es para windows, linux y mac.

    y limewire > frostwire

    • Gómez Hyuuga / Abr 5 2009 10:26 PM

      Me alegra saber que eres muy culto en cuanto a conocimientos al contrario de mí. Gracias, no sabía que Limeware era multiplataforma :P.

      Sólo una cosa… probablemente no quieras volver a leer este blog ya que todo lo que escribo probablemente no este en lo correcto, o como dices “escribo sin saber” pero creo que por eso hay personas dispuestas a mostrar los errores de los demás con algo de “delicadeza”. Así que pues estas en todo tu derecho de no continuar leyendo este blog :).

  4. Luis Collymoore / Jul 26 2009 4:49 PM

    hola quisiera saber si hay alguna forma para instalaro por la terminal usando gnome??

    • Gómez Hyuuga / Jul 26 2009 5:12 PM

      Holas, pues puedes hacerlo igual:

      su -c "rpm -ivh http://main3.frostwire.com/frostwire/4.18.0/frostwire-4.18.0.noarch.rpm"

      Un saludo!

  5. dud| / Ago 15 2009 9:37 PM

    a mi me da este problema
    limewire
    Starting LimeWire…
    Java exec found in PATH. Verifying…
    Suitable java version found [java = 1.6.0_0]
    Configuring environment…
    Loading LimeWire:
    java.lang.UnsatisfiedLinkError: Can’t load library: /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/motif21/libmawt.so
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1666)
    at java.lang.Runtime.load0(Runtime.java:787)
    at java.lang.System.load(System.java:1022)
    at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1767)
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1684)
    at java.lang.Runtime.loadLibrary0(Runtime.java:840)
    at java.lang.System.loadLibrary(System.java:1047)
    at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:67)
    at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:47)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.awt.Toolkit.loadLibraries(Toolkit.java:1614)
    at java.awt.Toolkit.(Toolkit.java:1636)
    at org.limewire.ui.swing.Main.getSplashImage(Main.java:56)
    at org.limewire.ui.swing.Main.main(Main.java:28)

    ******************************************************************
    Something went wrong with LimeWire.
    Maybe you’re using the wrong version of Java?
    (LimeWire is tested against and works best with with Sun’s JRE, Java 1.6+)
    The version of Java in your PATH is:
    java version “1.6.0_0”
    OpenJDK Runtime Environment (IcedTea6 1.4.1) (6b14-1.4.1-0ubuntu11)
    OpenJDK 64-Bit Server VM (build 14.0-b08, mixed mode)

    *****************************************************************
    pero si inicio desde un terminal sudo limewire
    funciona bien…pero como puedo hacer un script para ejecutar sudo limwire sin que me pida la contraseña?? yo como hago para qu le de pemiso definitivamente….estoy usando ubuntu jaunty 64 con gnome y kde pero principalmente gnome…gracias

    • Gómez Hyuuga / Ago 16 2009 11:43 AM

      mmm…. si tienes instalado java verdad? Intenta a hacer lo del chmod:

      su -c 'chmod 777 /usr/lib/frostwire/'

      Suerte!

  6. campechano / Oct 8 2009 10:09 AM

    excelente amigo muchas gracias por el aporte continua ayudando a resolver las dudas de aquellos que somos nuevos en esto sigue adelante gracias.

  7. etr / Ene 7 2010 9:19 AM

    Excelente aporte, funciono de maravilla, muchas gracias por el tip, saludos!

  8. julio / Ene 31 2010 10:08 AM

    hola , buenisima la ayuda pero me sirvio para ver que estaba mal. aunque cambie los permisos de limewire 4.10 este no arrancaba,y yo tenia la version 1.6 de java por lo cual si deberia funcionar pues es mayor que la 1.4 como lo especifica el mensaje , pero como no funcionaba entonces solo la cambie por la version anterior la 1.5.y funciona a la perfeccion.
    ._. supongo que la 1.5 esta comprobada para el limewire o no es compatible el limewire con la 1.6…………………………

    Saludos.

Trackbacks

  1. El blog de fportales xD

Comparte tu opinión

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s